Classify document type (Async)
Base64-encoded file content
nullAdditional context to guide the classification
nullCustom document types to classify against. If provided, classification is restricted to these types.
nullURL to a JSON file containing custom document types. Merged with custom_document_types if both provided.
nullPublic URL to file
nullLLM model for classification. Must be one of the supported models.
gemini-3Example: gemini-3Possible values: If true, only custom_document_types are valid classification results. Requires custom_document_types or custom_document_types_url to be provided.
falseOK
Status message
nullsuccessPossible values: Bad Request
Authentication required — the X-Api-Key header is missing or invalid.
Returned instead of 400 when the request body is missing or invalid. Known defect — see the API Reference.
POST /classify HTTP/1.1
Host: api-docai-uat.uptiq.ai
X-Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 274
{
"content": "text",
"context": "text",
"custom_document_types": [
"text"
],
"custom_document_types_url": "text",
"entities": {
"ent_001": "ABC Corp",
"ent_002": "XYZ LLC"
},
"file_url": "text",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"model": "gemini-3",
"use_custom_types_only": false
}{
"message": "text",
"requestInfo": {
"_id": "text",
"requestId": "text",
"storage": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"status": "success"
}Last updated
Was this helpful?

